// src/bin/main.rs
#![no_std]
#![no_main]

use defmt::*;
use embassy_stm32::usart::{Config, Uart};
use embassy_time::{Duration, Timer};
use {defmt_rtt as _, panic_probe as _};

#[cortex_m_rt::entry]
fn main() -> ! {
    info!("tititititi");

    let p = embassy_stm32::init(Default::default());

    let config = Config::default();
    let mut usart = Uart::new_blocking(p.USART1, p.PA10, p.PA9, config).unwrap();

    info!("starting echo");

    let mut buf = [0u8; 1];
    loop {
        unwrap!(usart.blocking_read(&mut buf));
        unwrap!(usart.blocking_write(&buf));
        unwrap!(usart.blocking_write(b"a\r\n"));
        Timer::after(Duration::from_secs(2));
    }
}
